<html>
<head>
    <title>Label Test</title>
    <link rel="stylesheet" type="text/css" href="/testLabel.css"/>
    <script language="javascript" src="/dataTypes.js"></script>
    <script language="javascript" src="/deployJava.js"></script>

</head>
<body>
<script language="javascript">
    <!--
    var appletLoaded = false;
    var socket = "http://" + location.hostname + ":" + location.port;

    function runApplet(func) {
        var writeTo = document.createElement('del'),
                oldwrite = document.write,
                content = '';
        writeTo.id = "me";
        document.write = function(text) {
            content += text;
        }
        func();
        writeTo.innerHTML += content;
        document.write = oldwrite;
        document.body.appendChild(writeTo);
    }

    var printCmd;
    function doNewLabels() {
        if(!appletLoaded){
            appletLoaded = true;


            runApplet (function (){
                deployJava.runApplet({
                            name:"RPTApplet",
                            id:"RPTApplet",
                            border:"false",
                            MAYSCRIPT:"true",
                            scriptable:"true",
                            codebase:socket+"/applet/",
                            archive:document.getElementById("appletVersion").value,
                            code:"com.peernet.PeernetReportApplet1.PeernetReportApplet1.class",
                            width:"1",
                            height:"1"},
                        {MAYSCRIPT:"true",
                            scriptable:"true",
                            java_status_events: "true",
                            USEPRINTERRESOLUTION: "false",
                            DEBUG: "true"},
                        "1.5");
            });
        }

        var cmd = socket+"/api/label/applet";


        printCmd = cmd;
        initialiseAndPrintNewLabels();
        return false;
    }
    function printNewLabels() {
        var rptApt = getReportApplet();
        rptApt.destroy();
        rptApt.printReport(printCmd, "PDFCreator", false);
        openStatus();
        return false;
    }
    function getReportApplet() {
        var applet = getObj("RPTApplet");
        return applet;
    }
    function openStatus() {
        var pd = getObjStyle("printDIV");
        pd.visibility="visible";
        initialState=0;
        getLabelStatus();
    }
    function closeStatus(timeout) {
        if(timeout>0) {
            setTimeout("closeStatus(0)", timeout*1000);
            return;
        }
        initialState=0;
        var pd = getObjStyle("printDIV");
        pd.visibility="hidden";
        var tt = getObj("tt");
        tt.innerHTML="";
    }

    var initialisationState=0;
    function initialiseAndPrintNewLabels() {
        var monitor = true;
        if(initialisationState==0){
            var appStatus = getReportApplet().status;
            if (appStatus === undefined) {
                initialisationState=1;
            }
            else if (appStatus >= 2) {
                initialisationState=2;
            }
        }
        if (initialisationState==0) {
            state="";
        }
        else if (initialisationState==1) {
            state="";
            monitor=false;
        }
        else if (initialisationState==2){
            // one last pass to set the status message
            state="";
        }
        else {
            state="";
            monitor=false;
        }
        if(monitor) {
            if (initialisationState==2) {
                // This is simply to update the status message
                initialisationState=3;
                setTimeout("initialiseAndPrintNewLabels()", 1);
            }
            else {
                setTimeout("initialiseAndPrintNewLabels()", 100);
            }
        }
        var tt = getObj("tt");
        tt.innerHTML=state;
        if (!monitor) {
            printNewLabels();
        }
        return false;
    }

    var initialState=0;
    function getLabelStatus() {
        var stopCheck=false;
        var tt = getObj("tt");
        var stat = getReportApplet().getStatus() ;
        var state = "";
        initialState++;
        if(initialState==1) {
            stat=0;
            state = "Requesting Label Print";
        }
        if(initialState==2)
            state = "Verifying Label Data";
        if(initialState>2)
            state = "Sending to printer";
        if ( stat & 1 )
            state = "Fetching Labels" ;
        if ( stat & 2 )
            state = "Labels loaded" ;
        if ( stat & 4 ) {
            state = "ERROR: Failed to load labels" ;
            closeStatus(4);
            stopCheck=true;
        }
        if ( stat & 16 )
            state = "Printing labels" ;
        if ( stat & 32 ) {
            state = "Finished printing" ;
            closeStatus(1);
            stopCheck=true;
        }
        if ( stat & 64 ) {
            state = "ERROR: Failed to print labels" ;
            closeStatus(4);
            stopCheck=true;
        }

        tt.innerHTML=state;
        if(!stopCheck)
            setTimeout("getLabelStatus()", 1000);
        return false;
    }

    function setAppletLoaded(isLoaded) {
        appletLoaded = isLoaded;
        if (!appletLoaded) {
            var meElement = document.getElementById("appletContainer");
            if (meElement != null) {
                meElement = meElement;
                meElement.innerHTML = "";
            }
        }
    }

    //-->
</script>
<link rel="stylesheet" type="text/css" href="/css/velocity.css">
<script language='Javascript' src="/js/velocityUI.js"></script>
<script type="text/javascript">

    var _gaq = _gaq || [];
    _gaq.push(['_setAccount', 'UA-21087870-2']);
    _gaq.push(['_trackPageview']);
    _gaq.push(['_trackPageLoadTime']);

    (function() {
        var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
    })();

</script>
<div id="printDIV">
    <div id="pdtitle">Label Printing Status</div>
    <br>Please wait while labels are printed<br>

    <div id="tt">Please wait - printing</div>
</div>
<form id="pdfForm" action="/api/label/pdf" target="_self"></form>
<form id="pngForm" action="/api/label/png" target="_self"></form>
Download a PDF: <button type="submit" form="pdfForm" value="Submit">Test PDF</button>
<br/>
Download a zip of PNG files: <button type="submit" form="pngForm" value="Submit">Test PNG</button>
<br/>
Select Peernet Applet Version: <select id="appletVersion" onchange="setAppletLoaded(false)">
    <option value="applet-2.6.0.jar">Peernet Applet v2.6.0</option>
    <option value="applet-3.0.079.jar">Peernet Applet v3.0.079</option>
    <option value="applet-3.0.093.jar">Peernet Applet v3.0.093</option>
    <option value="applet-3.0.094.jar">Peernet Applet v3.0.094</option>
    <option value="PEERNETReportsApplet3.jar">Random applet from peernet</option>
</select>
<button type="button" onclick="return doNewLabels(); return false;">Test Applet</button>

</body>
</html>